CamelImapStoreSummary
3
CAMEL Library

# CamelImapStoreSummary

## Synopsis

                        CamelImapStoreInfo;
                        CamelImapStoreNamespace;
                        CamelImapStoreSummary;
    CamelImapStoreSummary * camel_imap_store_summary_new    (void);
    void                camel_imap_store_summary_namespace_set_main
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);
    void                camel_imap_store_summary_namespace_add_secondary
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);
    CamelImapStoreNamespace * camel_imap_store_summary_get_main_namespace
                                                            (CamelImapStoreSummary *s);
    CamelImapStoreNamespace * camel_imap_store_summary_namespace_find_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path);
    CamelImapStoreNamespace * camel_imap_store_summary_namespace_find_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name);
    gchar *             camel_imap_store_summary_full_to_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);
    gchar *             camel_imap_store_summary_path_to_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path,
                                                             gchar dir_sep);
    CamelImapStoreInfo * camel_imap_store_summary_full_name (CamelImapStoreSummary *s,
                                                             const gchar *full_name);
    CamelImapStoreInfo * camel_imap_store_summary_add_from_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);
    gchar *             camel_imap_store_summary_full_from_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path);
    #define             camel_imap_store_info_full_name     (s, i)

## Description

## Details

### CamelImapStoreInfo

    typedef struct {
    	CamelStoreInfo info;
    	gchar *full_name;
    } CamelImapStoreInfo;

### CamelImapStoreNamespace

    typedef struct {
    	gchar *path;		/* display path */
    	gchar *full_name;	/* real name */
    	gchar sep;		/* directory separator */

    	struct _CamelImapStoreNamespace *next;
    } CamelImapStoreNamespace;

### CamelImapStoreSummary

    typedef struct {
    	CamelStoreSummary summary;

    	struct _CamelImapStoreSummaryPrivate *priv;

    	/* header info */
    	guint32 version;	/* version of base part of file */
    	guint32 capabilities;
    	CamelImapStoreNamespace *namespace; /* list of namespaces, the first is always main namespace */
    } CamelImapStoreSummary;

### camel_imap_store_summary_new ()

    CamelImapStoreSummary * camel_imap_store_summary_new    (void);

Create a new CamelImapStoreSummary object.

Returns :

  A new CamelImapStoreSummary widget.

### camel_imap_store_summary_namespace_set_main ()

    void                camel_imap_store_summary_namespace_set_main
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);

`s` :

`full_name` :

`dir_sep` :

### camel_imap_store_summary_namespace_add_secondary ()

    void                camel_imap_store_summary_namespace_add_secondary
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);

`s` :

`full_name` :

`dir_sep` :

### camel_imap_store_summary_get_main_namespace ()

    CamelImapStoreNamespace * camel_imap_store_summary_get_main_namespace
                                                            (CamelImapStoreSummary *s);

`s` :

Returns :

### camel_imap_store_summary_namespace_find_path ()

    CamelImapStoreNamespace * camel_imap_store_summary_namespace_find_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path);

`s` :

`path` :

Returns :

### camel_imap_store_summary_namespace_find_full ()

    CamelImapStoreNamespace * camel_imap_store_summary_namespace_find_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name);

`s` :

`full_name` :

Returns :

### camel_imap_store_summary_full_to_path ()

    gchar *             camel_imap_store_summary_full_to_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imap_store_summary_path_to_full ()

    gchar *             camel_imap_store_summary_path_to_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path,
                                                             gchar dir_sep);

`s` :

`path` :

`dir_sep` :

Returns :

### camel_imap_store_summary_full_name ()

    CamelImapStoreInfo * camel_imap_store_summary_full_name (CamelImapStoreSummary *s,
                                                             const gchar *full_name);

Retrieve a summary item by full name.

A referenced to the summary item is returned, which may be ref'd or free'd as appropriate.

`s` :

`full_name` :

Returns :

  The summary item, or NULL if the `full_name` name is not available. It must be freed using `camel_store_summary_info_free()`.

### camel_imap_store_summary_add_from_full ()

    CamelImapStoreInfo * camel_imap_store_summary_add_from_full
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *full_name,
                                                             gchar dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imap_store_summary_full_from_path ()

    gchar *             camel_imap_store_summary_full_from_path
                                                            (CamelImapStoreSummary *s,
                                                             const gchar *path);

`s` :

`path` :

Returns :

### camel_imap_store_info_full_name()

    #define camel_imap_store_info_full_name(s, i) (camel_store_info_string((CamelStoreSummary *)s, (const CamelStoreInfo *)i, CAMEL_IMAP_STORE_INFO_FULL_NAME))

`s` :

`i` :